Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class ActionProcessingFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.BaseException
                  org.jboss.soa.esb.actions.ActionProcessingException
                      org.jboss.soa.esb.actions.ActionProcessingFaultException

All Implemented Interfaces:
  java.io.Serializable

    public class ActionProcessingFaultException

extends ActionProcessingException

Exception while processing message payload processing action. Can be used to return an application specific fault message and break out of action chaining loop.

Since:
  Version 4.2MR2
Author:
  marklittle
See Also:
  Serialized Form

Constructor Summary
`ActionProcessingFaultException(Message faultMessage, java.lang.String cause)`
`ActionProcessingFaultException(java.lang.String message)` Public constructor.
`ActionProcessingFaultException(java.lang.String message, java.lang.Throwable cause)` Public constructor.
`ActionProcessingFaultException(java.lang.Throwable cause)` Public constructor.

Method Summary
`Message` | `getFaultMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionProcessingFaultException

    public ActionProcessingFaultException(Message faultMessage,
                                          java.lang.String cause)

### ActionProcessingFaultException

    public ActionProcessingFaultException(java.lang.String message)

  Public constructor.

  Parameters:
    `message` - Exception message.

### ActionProcessingFaultException

    public ActionProcessingFaultException(java.lang.String message,
                                          java.lang.Throwable cause)

  Public constructor.

  Parameters:
    `message` - Exception message.
    `cause` - Exception cause.

### ActionProcessingFaultException

    public ActionProcessingFaultException(java.lang.Throwable cause)

  Public constructor.

  Parameters:
    `cause` - Exception cause.

Method Detail

### getFaultMessage

    public final Message getFaultMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD